Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 913874 - sys-apps/fwupd-efi-1.4-r1 with >=sys-boot/gnu-efi-3.0.17: relocation error on arm64
Summary: sys-apps/fwupd-efi-1.4-r1 with >=sys-boot/gnu-efi-3.0.17: relocation error on...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: ARM64 Linux
: Normal normal (vote)
Assignee: ARM64 Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2023-09-08 19:00 UTC by Leonid Kopylov
Modified: 2024-06-28 11:10 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,10.98 KB, text/plain)
2023-09-08 19:00 UTC, Leonid Kopylov
Details
build.log (build.log,10.98 KB, text/plain)
2023-09-11 14:09 UTC, Leonid Kopylov
Details
build.log (build.log,10.75 KB, text/plain)
2024-04-09 14:28 UTC, Leonid Kopylov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Leonid Kopylov 2023-09-08 19:00:16 UTC
# emerge -pqv '=sys-apps/fwupd-efi-1.4::gentoo'
[ebuild  N    ] sys-apps/fwupd-efi-1.4  USE="-secureboot"

# emerge --info '=sys-apps/fwupd-efi-1.4::gentoo'
Portage 3.0.51 (python 3.12.0-candidate-2, default/linux/arm64/17.0/desktop/gnome/systemd/merged-usr, gcc-13, glibc-2.38-r1, 6.5.2-gentoo-arm64 aarch64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-6.5.2-gentoo-arm64-aarch64-with-glibc2.38
KiB Mem:    32817324 total,  21021596 free
KiB Swap:    8388604 total,   8388604 free
Timestamp of repository gentoo: Fri, 08 Sep 2023 04:00:01 +0000
Head commit of repository gentoo: abfaed0b3460e638410c0fd74783f8d292d63afc
Timestamp of repository darkelf: Tue, 29 Aug 2023 15:50:51 +0000
Head commit of repository darkelf: f6fe9577d081e80b8661ea6976047cff9e0700b1

Timestamp of repository guru: Tue, 05 Sep 2023 22:46:50 +0000
Head commit of repository guru: 4aa254711d1387220710fc1fa688bf3611dd26ef

Timestamp of repository inode64-overlay: Thu, 07 Sep 2023 05:32:13 +0000
Head commit of repository inode64-overlay: bfcf385ae2bb6b2c29a394c48469cde2c27f864a

sh bash 5.2_p15-r6
ld GNU ld (Gentoo 2.41 p2) 2.41.0
ccache version 4.8.3 [enabled]
app-misc/pax-utils:        1.3.7::gentoo
app-shells/bash:           5.2_p15-r6::gentoo
dev-java/java-config:      2.3.1-r1::gentoo
dev-lang/perl:             5.38.0-r1::gentoo
dev-lang/python:           3.10.13::gentoo, 3.11.5::gentoo, 3.12.0_rc2_p1-r1::gentoo
dev-lang/rust:             1.72.0::gentoo
dev-util/ccache:           4.8.3::gentoo
dev-util/cmake:            3.27.4::gentoo
dev-util/meson:            1.2.1-r1::gentoo
sys-apps/baselayout:       2.14::gentoo
sys-apps/sandbox:          2.38::gentoo
sys-apps/systemd:          254.2::gentoo
sys-devel/autoconf:        2.13-r8::gentoo, 2.71-r7::gentoo
sys-devel/automake:        1.16.5-r1::gentoo
sys-devel/binutils:        2.41-r1::gentoo
sys-devel/binutils-config: 5.5::gentoo
sys-devel/clang:           15.0.7-r3::gentoo, 16.0.6::gentoo
sys-devel/gcc:             12.3.1_p20230825::gentoo, 13.2.1_p20230826::gentoo
sys-devel/gcc-config:      2.11::gentoo
sys-devel/libtool:         2.4.7-r1::gentoo
sys-devel/lld:             16.0.6::gentoo
sys-devel/llvm:            14.0.6-r4::gentoo, 15.0.7-r3::gentoo, 16.0.6::gentoo
sys-devel/make:            4.4.1-r1::gentoo
sys-kernel/linux-headers:  6.5::gentoo (virtual/os-headers)
sys-libs/glibc:            2.38-r1::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: rsync
    sync-uri: rsync://server.kopylovs.net/gentoo-portage
    priority: -1000
    volatile: False
    sync-rsync-extra-opts:
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-metamanifest: yes

darkelf
    location: /var/db/repos/darkelf
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/darkelf.git
    masters: gentoo
    volatile: False

guru
    location: /var/db/repos/guru
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/guru.git
    masters: gentoo
    volatile: False

inode64-overlay
    location: /var/db/repos/inode64-overlay
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/inode64-overlay.git
    masters: gentoo
    volatile: False

Binary Repositories:

gentoobinhost
    priority: 1
    sync-uri: https://gentoo.osuosl.org/releases/arm64/binpackages/17.0/arm64

ACCEPT_KEYWORDS="arm64 ~arm64"
ACCEPT_LICENSE="* -@EULA geekbench Microsoft-vscode TeamViewer Vivaldi"
CBUILD="aarch64-unknown-linux-gnu"
CFLAGS="-march=armv8-a+crc+lse+rcpc+rdma+dotprod+aes+fp16fml+sb+ssbs+flagm+pauth -O2 -pipe -fomit-frame-pointer"
CHOST="aarch64-unknown-linux-gnu"
CONFIG_PROTECT="/etc /opt/zookeeper-bin/conf /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php8.1/ext-active/ /etc/php/apache2-php8.2/ext-active/ /etc/php/cgi-php8.1/ext-active/ /etc/php/cgi-php8.2/ext-active/ /etc/php/cli-php8.1/ext-active/ /etc/php/cli-php8.2/ext-active/ /etc/php/fpm-php8.1/ext-active/ /etc/php/fpm-php8.2/ext-active/ /etc/php/phpdbg-php8.1/ext-active/ /etc/php/phpdbg-php8.2/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=armv8-a+crc+lse+rcpc+rdma+dotprod+aes+fp16fml+sb+ssbs+flagm+pauth -O2 -pipe -fomit-frame-pointer"
DISTDIR="/var/cache/distfiles"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GDK_PIXBUF_MODULE_FILE GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR XDG_STATE_HOME"
FCFLAGS="-march=armv8-a+crc+lse+rcpc+rdma+dotprod+aes+fp16fml+sb+ssbs+flagm+pauth -O2 -pipe -fomit-frame-pointer"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs binpkg-multi-instance buildpkg-live ccache config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict strict-keepdir unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync warn-on-large-env xattr"
FFLAGS="-march=armv8-a+crc+lse+rcpc+rdma+dotprod+aes+fp16fml+sb+ssbs+flagm+pauth -O2 -pipe -fomit-frame-pointer"
GENTOO_MIRRORS="https://mirror.isoc.org.il/pub/gentoo/ https://mirror.eu.oneandone.net/linux/distributions/gentoo/gentoo/"
LANG="en_US.utf8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LEX="flex"
MAKEOPTS="-j6"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
SHELL="/bin/bash"
USE="X a52 aac accessibility acl acpi alsa arm64 audit bash-completion berkdb bidi bluetooth branding brotli btrfs bzip2 cairo cdda cdr cgi cli colord crypt cryptsetup cups curl dbus designer device-mapper doc dri dts dvdr eds emacs encode evdev evo examples exif experimental ffmpeg flac fortran fuse gamepad gdbm gif git gmp gnome gnome-keyring gnome-online-accounts gnutls go gpg gpm gstreamer gtk gtk-doc gui heif hscolour html http ibus iconv icu idn introspection iodbc ipv6 jack java jemalloc joystick jpeg json kde kerberos keyring lcms ldap libnotify libtirpc lua lvm lz4 lzma lzo mad man mbedtls mng mongodb mp3 mp4 mpeg multimedia mysql nas nautilus ncurses netlink network networkmanager nfs nls nptl nss odbc offensive ogg opengl openmp openssl pam pango pcap pcre pdf perl pkcs11 plasma plugins png policykit postgres ppds pulseaudio python qml qt5 readline redis samba sasl screencast sdl seccomp semantic-desktop snmp sound source speech spell sqlite ssl startup-notification svg symlink systemd tcl tcpd telemetry test-rust threads tiff tk tools tracker truetype udev udisks unicode unwind upnp upower usb utils v4l vala vim-syntax vnc vorbis vulkan wayland webengine webkit webp wxwidgets x264 xattr xcb xft xinerama xml xv xvid yaml zeroconf zip zlib zstd" ADA_TARGET="gnat_2021" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words stage" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_ARM="edsp vfp vfpv3 vfpv4 vfp-d32 aes sha1 sha2 crc32 v8" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="evdev joystick libinput" KERNEL="linux" L10N="en en-US he ru" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="nlpsolver scripting-beanshell scripting-javascript wiki-publisher" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php8-1" POSTGRES_TARGETS="postgres15" PYTHON_SINGLE_TARGET="python3_11" PYTHON_TARGETS="python3_11 python3_10 python3_12" RUBY_TARGETS="ruby31 ruby32" VIDEO_CARDS="virgl" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  ADDR2LINE, AR, ARFLAGS, AS, ASFLAGS, CC, CCLD, CONFIG_SHELL, CPP, CPPFLAGS, CTARGET, CXX, CXXFILT, ELFEDIT, EMERGE_DEFAULT_OPTS, EXTRA_ECONF, F77FLAGS, FC, GCOV, GPROF, INSTALL_MASK, LD, LFLAGS, LIBTOOL, LINGUAS, MAKE, MAKEFLAGS, NM, OBJCOPY, OBJDUMP, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, RANLIB, READELF, RUSTFLAGS, SIZE, STRINGS, STRIP, YACC, YFLAGS
Comment 1 Leonid Kopylov 2023-09-08 19:00:29 UTC
Created attachment 870146 [details]
build.log
Comment 2 Marek Szuba (RETIRED) archtester gentoo-dev 2023-09-10 20:48:11 UTC
Out of curiosity, have you by any chance confirmed that adding -fPIC helps?
Comment 3 Leonid Kopylov 2023-09-11 04:35:29 UTC
(In reply to Marek Szuba from comment #2)
> Out of curiosity, have you by any chance confirmed that adding -fPIC helps?

Where should i add this? in CFLAGS??
Comment 4 Marek Szuba (RETIRED) archtester gentoo-dev 2023-09-11 12:30:21 UTC
(In reply to Leonid Kopylov from comment #3)
> (In reply to Marek Szuba from comment #2)

> > Out of curiosity, have you by any chance confirmed that adding -fPIC helps?
> Where should i add this? in CFLAGS??

Yes.
Comment 5 Leonid Kopylov 2023-09-11 14:09:41 UTC
(In reply to Marek Szuba from comment #4)
> (In reply to Leonid Kopylov from comment #3)
> > (In reply to Marek Szuba from comment #2)
> 
> > > Out of curiosity, have you by any chance confirmed that adding -fPIC helps?
> > Where should i add this? in CFLAGS??
> 
> Yes.

it fails with exactly same error
Comment 6 Leonid Kopylov 2023-09-11 14:09:55 UTC
Created attachment 870316 [details]
build.log
Comment 7 Marek Szuba (RETIRED) archtester gentoo-dev 2023-09-11 14:30:00 UTC
You have added -fpic, not -fPIC, I believe? The two are not the same.
Comment 8 Leonid Kopylov 2023-09-11 14:32:41 UTC
(In reply to Marek Szuba from comment #7)
> You have added -fpic, not -fPIC, I believe? The two are not the same.

gentoo ~ # emerge --info sys-apps/fwupd-efi
Portage 3.0.51 (python 3.12.0-candidate-2, default/linux/arm64/17.0/desktop/gnome/systemd/merged-usr, gcc-13, glibc-2.38-r1, 6.5.2-gentoo-arm64 aarch64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-6.5.2-gentoo-arm64-aarch64-with-glibc2.38
KiB Mem:    32817324 total,  29554252 free
KiB Swap:    8388604 total,   8388604 free
Timestamp of repository gentoo: Mon, 11 Sep 2023 14:00:01 +0000
Head commit of repository gentoo: cbfe192d5ada0962c01a96991bd62275a143ea0b
Timestamp of repository EmilienMottet: Mon, 11 Sep 2023 11:33:08 +0000
Head commit of repository EmilienMottet: f9086b30d3bc4fb77d378848464d74862ee6f090

Timestamp of repository HomeAssistantRepository: Sat, 26 Aug 2023 15:31:40 +0000
Head commit of repository HomeAssistantRepository: 9f9976b7b96fb688ae7de88bf149b618d997c8eb

Timestamp of repository darkelf: Tue, 29 Aug 2023 15:50:51 +0000
Head commit of repository darkelf: f6fe9577d081e80b8661ea6976047cff9e0700b1

Timestamp of repository guru: Mon, 11 Sep 2023 11:33:02 +0000
Head commit of repository guru: f4b25e7cc75ca6ef2183ad4f5ca0828396cf4660

Timestamp of repository inode64-overlay: Mon, 11 Sep 2023 11:33:08 +0000
Head commit of repository inode64-overlay: 95d15017b0add0c23fc51c8e20df410c68aaff4a

Timestamp of repository kde: Sun, 10 Sep 2023 11:16:58 +0000
Head commit of repository kde: f2fff804eb4884b3e9e8187478e200e1356574a2

sh bash 5.2_p15-r6
ld GNU ld (Gentoo 2.41 p2) 2.41.0
ccache version 4.8.3 [enabled]
app-misc/pax-utils:        1.3.7::gentoo
app-shells/bash:           5.2_p15-r6::gentoo
dev-java/java-config:      2.3.1-r1::gentoo
dev-lang/perl:             5.38.0-r1::gentoo
dev-lang/python:           3.10.13::gentoo, 3.11.5::gentoo, 3.12.0_rc2_p1-r1::gentoo
dev-lang/rust:             1.72.0::gentoo
dev-util/ccache:           4.8.3::gentoo
dev-util/cmake:            3.27.4::gentoo
dev-util/meson:            1.2.1-r1::gentoo
sys-apps/baselayout:       2.14::gentoo
sys-apps/sandbox:          2.38::gentoo
sys-apps/systemd:          254.3::gentoo
sys-devel/autoconf:        2.13-r8::gentoo, 2.71-r7::gentoo
sys-devel/automake:        1.16.5-r1::gentoo
sys-devel/binutils:        2.41-r1::gentoo
sys-devel/binutils-config: 5.5::gentoo
sys-devel/clang:           15.0.7-r3::gentoo, 16.0.6::gentoo
sys-devel/gcc:             12.3.1_p20230825::gentoo, 13.2.1_p20230826::gentoo
sys-devel/gcc-config:      2.11::gentoo
sys-devel/libtool:         2.4.7-r1::gentoo
sys-devel/lld:             16.0.6::gentoo
sys-devel/llvm:            14.0.6-r4::gentoo, 15.0.7-r3::gentoo, 16.0.6::gentoo
sys-devel/make:            4.4.1-r1::gentoo
sys-kernel/linux-headers:  6.5::gentoo (virtual/os-headers)
sys-libs/glibc:            2.38-r1::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: rsync
    sync-uri: rsync://server.kopylovs.net/gentoo-portage
    priority: -1000
    volatile: False
    sync-rsync-extra-opts:
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-jobs: 1

EmilienMottet
    location: /var/db/repos/EmilienMottet
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/EmilienMottet.git
    masters: gentoo
    volatile: False

HomeAssistantRepository
    location: /var/db/repos/HomeAssistantRepository
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/HomeAssistantRepository.git
    masters: gentoo
    volatile: False

darkelf
    location: /var/db/repos/darkelf
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/darkelf.git
    masters: gentoo
    volatile: False

guru
    location: /var/db/repos/guru
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/guru.git
    masters: gentoo
    volatile: False

inode64-overlay
    location: /var/db/repos/inode64-overlay
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/inode64-overlay.git
    masters: gentoo
    volatile: False

kde
    location: /var/db/repos/kde
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/kde.git
    masters: gentoo
    volatile: False

Binary Repositories:

gentoobinhost
    priority: 1
    sync-uri: https://gentoo.osuosl.org/releases/arm64/binpackages/17.0/arm64

ACCEPT_KEYWORDS="arm64 ~arm64"
ACCEPT_LICENSE="* -@EULA geekbench Microsoft-vscode TeamViewer Vivaldi"
CBUILD="aarch64-unknown-linux-gnu"
CFLAGS="-march=armv8-a+crc+lse+rcpc+rdma+dotprod+aes+fp16fml+sb+ssbs+flagm+pauth -O2 -pipe -fomit-frame-pointer -fPIC"
CHOST="aarch64-unknown-linux-gnu"
CONFIG_PROTECT="/etc /opt/zookeeper-bin/conf /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php8.1/ext-active/ /etc/php/apache2-php8.2/ext-active/ /etc/php/cgi-php8.1/ext-active/ /etc/php/cgi-php8.2/ext-active/ /etc/php/cli-php8.1/ext-active/ /etc/php/cli-php8.2/ext-active/ /etc/php/fpm-php8.1/ext-active/ /etc/php/fpm-php8.2/ext-active/ /etc/php/phpdbg-php8.1/ext-active/ /etc/php/phpdbg-php8.2/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=armv8-a+crc+lse+rcpc+rdma+dotprod+aes+fp16fml+sb+ssbs+flagm+pauth -O2 -pipe -fomit-frame-pointer -fPIC"
DISTDIR="/var/cache/distfiles"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GDK_PIXBUF_MODULE_FILE GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR XDG_STATE_HOME"
FCFLAGS="-march=armv8-a+crc+lse+rcpc+rdma+dotprod+aes+fp16fml+sb+ssbs+flagm+pauth -O2 -pipe -fomit-frame-pointer -fPIC"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs binpkg-multi-instance buildpkg-live ccache config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict strict-keepdir unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync warn-on-large-env xattr"
FFLAGS="-march=armv8-a+crc+lse+rcpc+rdma+dotprod+aes+fp16fml+sb+ssbs+flagm+pauth -O2 -pipe -fomit-frame-pointer -fPIC"
GENTOO_MIRRORS="https://mirror.isoc.org.il/pub/gentoo/ https://mirror.eu.oneandone.net/linux/distributions/gentoo/gentoo/"
LANG="en_US.utf8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LEX="flex"
MAKEOPTS="-j6"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
SHELL="/bin/bash"
USE="X a52 aac accessibility acl acpi alsa arm64 audit bash-completion berkdb bidi bluetooth branding brotli btrfs bzip2 cairo cdda cdr cgi cli colord crypt cryptsetup cups curl dbus designer device-mapper doc dri dts dvdr eds emacs encode evdev evo examples exif experimental ffmpeg flac fortran fuse gamepad gdbm gif git gmp gnome gnome-keyring gnome-online-accounts gnutls go gpg gpm gstreamer gtk gtk-doc gui heif hscolour html http ibus iconv icu idn introspection iodbc ipv6 jack java jemalloc joystick jpeg json kde kerberos keyring lcms ldap libnotify libtirpc lua lvm lz4 lzma lzo mad man mbedtls mng mongodb mp3 mp4 mpeg multimedia mysql nas nautilus ncurses netlink network networkmanager nfs nls nptl nss odbc offensive ogg opengl openmp openssl pam pango pcap pcre pdf perl pkcs11 plasma plugins png policykit postgres ppds pulseaudio python qml qt5 readline redis samba sasl screencast sdl seccomp semantic-desktop snmp sound source speech spell sqlite ssl startup-notification svg symlink systemd tcl tcpd telemetry test-rust threads tiff tk tools tracker truetype udev udisks unicode unwind upnp upower usb utils v4l vala vim-syntax vnc vorbis vulkan wayland webengine webkit webp wxwidgets x264 xattr xcb xft xinerama xml xv xvid yaml zeroconf zip zlib zstd" ADA_TARGET="gnat_2021" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words stage" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_ARM="edsp vfp vfpv3 vfpv4 vfp-d32 aes sha1 sha2 crc32 v8" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="evdev joystick libinput" KERNEL="linux" L10N="en en-US he ru" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="nlpsolver scripting-beanshell scripting-javascript wiki-publisher" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php8-1" POSTGRES_TARGETS="postgres15" PYTHON_SINGLE_TARGET="python3_11" PYTHON_TARGETS="python3_11 python3_10 python3_12" RUBY_TARGETS="ruby31 ruby32" VIDEO_CARDS="virgl" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  ADDR2LINE, AR, ARFLAGS, AS, ASFLAGS, CC, CCLD, CONFIG_SHELL, CPP, CPPFLAGS, CTARGET, CXX, CXXFILT, ELFEDIT, EMERGE_DEFAULT_OPTS, EXTRA_ECONF, F77FLAGS, FC, GCOV, GPROF, INSTALL_MASK, LD, LFLAGS, LIBTOOL, LINGUAS, MAKE, MAKEFLAGS, NM, OBJCOPY, OBJDUMP, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, RANLIB, READELF, RUSTFLAGS, SIZE, STRINGS, STRIP, YACC, YFLAGS
Comment 9 Marek Szuba (RETIRED) archtester gentoo-dev 2023-09-11 14:46:29 UTC
Indeed.

Anyway, I cannot reproduce this on the single arm64 machine I have got so I'm referring this to the arch team in the hope they can shed more light on the matter.
Comment 10 Leonid Kopylov 2023-09-11 15:05:01 UTC
(In reply to Marek Szuba from comment #9)
> Indeed.
> 
> Anyway, I cannot reproduce this on the single arm64 machine I have got so
> I'm referring this to the arch team in the hope they can shed more light on
> the matter.

Downgrading sys-boot/gnu-efi-3.0.17 to sys-boot/gnu-efi-3.0.15 - allows this package to build
Comment 11 Leonid Kopylov 2023-09-11 15:06:29 UTC
(In reply to Leonid Kopylov from comment #10)
> (In reply to Marek Szuba from comment #9)
> > Indeed.
> > 
> > Anyway, I cannot reproduce this on the single arm64 machine I have got so
> > I'm referring this to the arch team in the hope they can shed more light on
> > the matter.
> 
> Downgrading sys-boot/gnu-efi-3.0.17 to sys-boot/gnu-efi-3.0.15 - allows this
> package to build

it builds without -fPIC
Comment 12 Neko-san 2023-09-12 07:32:21 UTC
It affects AMD64 as well; I also don't have -fPIC enabled explicitly as a compiler flag but I do have it as a global USE flag. Although, I am running an LLVM profile.

[7/7] /var/tmp/portage/sys-apps/fwupd-efi-1.4/work/fwupd-efi-1.4/efi/generate_binary.py efi/fwup.so efi/fwupdx64.efi --arch x86_64 --os linux --objcopy /usr/lib/llvm/16/bin/llvm-objcopy --genpeimg ''
FAILED: efi/fwupdx64.efi 
/var/tmp/portage/sys-apps/fwupd-efi-1.4/work/fwupd-efi-1.4/efi/generate_binary.py efi/fwup.so efi/fwupdx64.efi --arch x86_64 --os linux --objcopy /usr/lib/llvm/16/bin/llvm-objcopy --genpeimg ''
/usr/lib/llvm/16/bin/llvm-objcopy: error: unknown argument '--section-alignment'
Comment 13 Marek Szuba (RETIRED) archtester gentoo-dev 2023-09-28 08:25:42 UTC
(In reply to Neko-san from comment #12)

> It affects AMD64 as well
[...]
> /usr/lib/llvm/16/bin/llvm-objcopy: error: unknown argument
> '--section-alignment'

This looks like a rather different error to me so let's assume for the time being that the problem IS arm64-specific.

Leonid, have you contacted upstream about this? Given I cannot reproduce it and we haven't heard anything from the arch team, that's likely the option most likely to get this fixed.
Comment 14 Leonid Kopylov 2023-09-28 08:36:06 UTC
(In reply to Marek Szuba from comment #13)
> (In reply to Neko-san from comment #12)
> 
> > It affects AMD64 as well
> [...]
> > /usr/lib/llvm/16/bin/llvm-objcopy: error: unknown argument
> > '--section-alignment'
> 
> This looks like a rather different error to me so let's assume for the time
> being that the problem IS arm64-specific.
> 
> Leonid, have you contacted upstream about this? Given I cannot reproduce it
> and we haven't heard anything from the arch team, that's likely the option
> most likely to get this fixed.

there is still same issue for me
Comment 15 Marek Szuba (RETIRED) archtester gentoo-dev 2023-12-05 16:02:05 UTC
For the record, the arch-independent '--section-alignment' error WAS a different issue - Bug #919118 to be precise.

As for the problem at hand, if it still persists please report it upstream.
Comment 16 Leonid Kopylov 2023-12-05 16:06:51 UTC
(In reply to Marek Szuba from comment #15)
> For the record, the arch-independent '--section-alignment' error WAS a
> different issue - Bug #919118 to be precise.
> 
> As for the problem at hand, if it still persists please report it upstream.

i don't know where and how
Comment 17 Leonid Kopylov 2023-12-07 10:35:47 UTC
same with sys-apps/fwupd-efi-1.4-r1
Comment 18 Agostino Sarubbo gentoo-dev 2024-02-24 07:47:41 UTC
tinderbox_arm64 has reproduced this issue with version 1.4-r1 - Updating summary.
Comment 19 Marek Szuba (RETIRED) archtester gentoo-dev 2024-04-07 18:26:59 UTC
According to the changelog upstream fixed some arm64 relocation errors in 1.5, could you confirm?
Comment 20 Leonid Kopylov 2024-04-09 14:19:17 UTC
(In reply to Marek Szuba from comment #19)
> According to the changelog upstream fixed some arm64 relocation errors in
> 1.5, could you confirm?

1.4-r1 is the latest version i see in tree
Comment 21 Marek Szuba (RETIRED) archtester gentoo-dev 2024-04-09 14:25:42 UTC
https://packages.gentoo.org/packages/sys-apps/fwupd-efi clearly shows 1.5. Have you updated your tree.
Comment 22 Leonid Kopylov 2024-04-09 14:28:39 UTC
Created attachment 890069 [details]
build.log
Comment 23 Leonid Kopylov 2024-04-09 14:29:12 UTC
(In reply to Marek Szuba from comment #21)
> https://packages.gentoo.org/packages/sys-apps/fwupd-efi clearly shows 1.5.
> Have you updated your tree.

yes, now i see - but still same error:

# emerge -pqv '=sys-apps/fwupd-efi-1.5::gentoo'
[ebuild     U ] sys-apps/fwupd-efi-1.5 [1.4-r1] USE="-secureboot"
Comment 24 Marek Szuba (RETIRED) archtester gentoo-dev 2024-04-24 12:07:36 UTC
Leonid,

We have just added to the tree version 1.6 of fwupd-efi, which according to the changelog includes further ARM64-related changes. At the moment that version is not keyworded for arm64 but it should happen soon, see Bug #930564 for details. Please give that one a try once it has become available.

If that does not help, please report your problem upstream as previously suggested. You can do this here: https://github.com/fwupd/fwupd-efi/issues .
Comment 25 Leonid Kopylov 2024-04-24 18:08:40 UTC
(In reply to Marek Szuba from comment #24)
> Leonid,
> 
> We have just added to the tree version 1.6 of fwupd-efi, which according to
> the changelog includes further ARM64-related changes. At the moment that
> version is not keyworded for arm64 but it should happen soon, see Bug
> #930564 for details. Please give that one a try once it has become available.
> 
> If that does not help, please report your problem upstream as previously
> suggested. You can do this here: https://github.com/fwupd/fwupd-efi/issues .

# emerge fwupd-efi -pvq
[ebuild   R   ] sys-apps/fwupd-efi-1.6  USE="-secureboot"


sys-apps/fwupd-efi-1.6 was built successfully with sys-boot/gnu-efi-3.0.18